Bug 805605 - lvm2 show no information
lvm2 show no information
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.5
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:46 EDT by Eduardo Trejo
Modified: 2012-03-23 10:29 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 13:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Trejo 2012-03-21 12:46:52 EDT
Description of problem:
lvm show no information


Version-Release number of selected component (if applicable):
lvm2-2.02.56-8.el5

How reproducible:
when I run a command related to lvm (example: lvdisplay, vgdisplay, etc.). freezes and shows no information

Steps to Reproduce:
1.when I run vgdisplay shows no information
2.
3.
  
Actual results:
[root@localhost ~]# vgdisplay
  Found duplicate PV tNvFsgYY3NPzyoTYunhlo53eaBo3yfXA: using /dev/sdr not /dev/sdb


Expected results:
display the output of vgdisplay

Additional info:
Comment 1 Eduardo Trejo 2012-03-21 12:53:05 EDT
[root@ ~]# uname -a
Linux  2.6.18-194.el5xen #1 SMP Tue Mar 16 22:01:26 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

[root@ ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.5 (Tikanga)

[root@ ~]# rpm -qa | grep lvm
system-config-lvm-1.1.5-4.el5
lvm2-2.02.56-8.el5
Comment 2 Bryn M. Reeves 2012-03-21 12:56:37 EDT
Do you have any volume groups defined? What do "pvs" and "pvs -a" show?
Comment 3 Eduardo Trejo 2012-03-21 13:11:22 EDT
It has a defined volume group.

[root@ ~]# cat /etc/lvm/archive/vg00_00002.vg
# Generated by LVM2 version 2.02.56(1)-RHEL5 (2010-02-08): Wed Nov  2 11:42:17 2011

contents = "Text Format Volume Group"
version = 1

description = "Created *before* executing 'lvcreate -L 10G -n lvpatrol vg00'"

creation_host = "localhost"   # Linux localhost 2.6.18-194.el5xen #1 SMP Tue Mar 16 22:01:26 EDT 2010 x86_64
creation_time = 1320255737      # Wed Nov  2 11:42:17 2011

vg00 {
        id = "R5cugO-6n6W-NFZE-BFF6-x1I6-WiCO-UUPv9J"
        seqno = 9
        status = ["RESIZEABLE", "READ", "WRITE"]
        flags = []
        extent_size = 65536             # 32 Megabytes
        max_lv = 0
        max_pv = 0

        physical_volumes {

                pv0 {
                        id = "Xd5dfA-JOg0-K11y-d2u0-XWTy-lVEx-22kmyX"
                        device = "/dev/cciss/c0d0p2"    # Hint only

                        status = ["ALLOCATABLE"]
                        flags = []
                        dev_size = 286133715    # 136.439 Gigabytes
                        pe_start = 384
                        pe_count = 4366 # 136.438 Gigabytes
                }
        }

        logical_volumes {

                lvol00 {
                        id = "5gDl9z-ssnq-8SVd-K9qJ-fLub-BEIU-q0pMKg"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 64       # 2 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 0
                                ]
                        }
                }

                lvol06 {
                        id = "sgjHlr-npgv-X22U-zixI-KOc8-Heym-kLqqv7"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 64       # 2 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 64
                                ]
                        }
                }

                lvol05 {
                        id = "FdQXaM-j8Ab-sTwt-x8pH-gSWf-r33F-HFjJR2"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 128      # 4 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 128
                                ]
                        }
                }

                lvol04 {
                        id = "JVzumJ-IIBO-RFkV-5bQT-nv0q-EyO3-K8EA0l"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 64       # 2 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 256
                                ]
                        }
                }

                lvol03 {
                        id = "R4CBMs-sgFr-iisg-dYDw-HWRl-oCIN-3pCngv"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 192      # 6 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 320
                                ]
                        }
                }

                lvol01 {
                        id = "9qtoJe-EsQq-5Mal-WUug-RdId-q3EI-SgR9l7"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 64       # 2 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 512
                                ]
                        }
                }

                lvol02 {
                        id = "iDyEhc-OYvk-L4Uf-3M5T-cmjN-Yilx-dmYLlh"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 312      # 9.75 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 576
                                ]
                        }
                }

                lvprueba {
                        id = "2ZVKN2-kSOf-obnD-2hn0-qDwN-tJl1-HTMYxR"
                        status = ["READ", "WRITE", "VISIBLE"]
                        flags = []
                        segment_count = 1

                        segment1 {
                                start_extent = 0
                                extent_count = 320      # 10 Gigabytes

                                type = "striped"
                                stripe_count = 1        # linear

                                stripes = [
                                        "pv0", 888
                                ]
                        }
                }
        }
}



freezes when I run pvs

[root@ ~]# pvs
  Found duplicate PV tNvFsgYY3NPzyoTYunhlo53eaBo3yfXA: using /dev/sdr not /dev/sdb

[root@ ~]# pvs -a
  Found duplicate PV tNvFsgYY3NPzyoTYunhlo53eaBo3yfXA: using /dev/sdr not /dev/sdb
Comment 4 Eduardo Trejo 2012-03-21 13:20:28 EDT
as additional data the server is connected to a SAN and have LUNs presented
Comment 5 Milan Broz 2012-03-21 13:48:09 EDT
lvm2-2.02.56-8.el5 is version from RHEL 5.5 and according to duplicate devices, you have some misconfigured multipath device.
Also /etc/lvm/archive/vg00_00002.vg is a backup, not current state of the system.

You should update your system (even RHEL 5.5 contains update - lvm2-2.02.56-8.el5_5.6) or the best, update to RHEL5.8.

Bugzilla is not a support tool, engineering cannot directly provide support for these old releases.
For production support please contact Red Hat support through support channels http://www.redhat.com/support/process/
Thanks you.
Comment 6 Heinz Mauelshagen 2012-03-22 10:45:49 EDT
Are you able to access your LUNs at all or is there a SAN flaw?
E.g. "dd if=/sdr of=/dev/null bs=8k count=1"
Comment 7 Eduardo Trejo 2012-03-23 10:29:41 EDT
I have no problem to access the LUNs.

Only when I want to display LVM configuration

Note You need to log in before you can comment on or make changes to this bug.